function rgbdprplot(rec, prec, color)

urec = sort(unique(rec));

for i = 1:length(urec)
    index = find(rec == urec(i));
    uprec(i,1) = prec(min(index));
end

% plot precision/recall
% clf;
plot(urec, uprec, color,'LineWidth',4);
axis([0 1 0 1.03]);
grid;
xlabel('recall','FontSize',16);
ylabel('precision','FontSize',16);

